import React from 'react';
import { storiesOf } from '@storybook/react';
import styled from 'styled-components';
import { CloseBtn } from '.';

const css = styled.div;

const Style = css`
   background: white !important;
`;

storiesOf('Components/CloseBtn', module)
   .add('default', () => {
      return (
         <Style>
            <div className="row">
               <div className="m-4 col-sm-3">
                  <CloseBtn onClick={() => {}} />
               </div>
            </div>
         </Style>
      );
   })
   .add('with color', () => {
      return (
         <Style>
            <div className="row">
               <div className="m-4 col-sm-3">
                  <CloseBtn color="red" />
               </div>
            </div>
         </Style>
      );
   })
   .add('with size', () => {
      return (
         <Style>
            <div className="row">
               <div className="m-4 col-sm-3">
                  <CloseBtn size={150} />
               </div>
            </div>
         </Style>
      );
   });
